Subject: Re: [PATCH-next v2 0/2] ipvs: Fix incorrect use of HK_TYPE_KTHREAD housekeeping cpumask

From: Pablo Neira Ayuso <[email-masked]>
Date: Mon, 20 Apr 2026 19:45:56 +0200

On Mon, Apr 20, 2026 at 08:24:56PM +0300, Julian Anastasov wrote:
> 
> 	Hello,
> 
> On Fri, 3 Apr 2026, Pablo Neira Ayuso wrote:
> 
> > On Fri, Apr 03, 2026 at 05:15:50PM +0300, Julian Anastasov wrote:
> > > 
> > > 	Hello,
> > > 
> > > On Tue, 31 Mar 2026, Waiman Long wrote:
> > > 
> > > >  v2:
> > > >   - Rebased on top of linux-next
> > > > 
> > > > Since commit 041ee6f3727a ("kthread: Rely on HK_TYPE_DOMAIN for preferred
> > > > affinity management"), the HK_TYPE_KTHREAD housekeeping cpumask may no
> > > > longer be correct in showing the actual CPU affinity of kthreads that
> > > > have no predefined CPU affinity. As the ipvs networking code is still
> > > > using HK_TYPE_KTHREAD, we need to make HK_TYPE_KTHREAD reflect the
> > > > reality.
> > > > 
> > > > This patch series makes HK_TYPE_KTHREAD an alias of HK_TYPE_DOMAIN
> > > > and uses RCU to protect access to the HK_TYPE_KTHREAD housekeeping
> > > > cpumask.
> > > > 
> > > > Waiman Long (2):
> > > >   sched/isolation: Make HK_TYPE_KTHREAD an alias of HK_TYPE_DOMAIN
> > > >   ipvs: Guard access of HK_TYPE_KTHREAD cpumask with RCU
> > > 
> > > 	The patchset looks good to me for nf-next, thanks!
> > > 
> > > Acked-by: Julian Anastasov <[email-masked]>
> > > 
> > > 	Pablo, Florian, as a bugfix this patchset missed
> > > the chance to be applied before the changes that are in
> > > nf-next in ip_vs.h, there is little fuzz there. If there
> > > is no chance to resolve it somehow, we can apply it
> > > on top of nf-next where it now applies successfully.
> > 
> > One way to handle this is to follow up with nf-next as you suggest,
> > then send a backport that applies cleanly for -stable once it is
> > released.
> > 
> > Else, let me know if I am misunderstanding.
> 
> 	This patchset is now material for the net tree. To help it,
> I just posted patch "ipvs: fix races around est_mutex and est_cpulist"
> that can be applied before this patchset to the net tree.
> Can we get this patchset for the net tree?

Yes, I am preparing a PR.

BTW, did you get look at the report provided by the AI assistant?

https://sashiko.dev/#/?list=org.kernel.vger.netfilter-devel

If not, please repost to get initial feedback from it.

Thanks.